/* ------------------------------------------------------------ *\
	Services Areas
\* ------------------------------------------------------------ */
.areas {
  background: #fff;
  color: rgba(36, 30, 30, 0.7); }
  .areas .wrapper {
    margin-top: 100px;
    margin-bottom: 100px;
    padding-right: 0;
    display: flex;
    align-items: center;
    position: relative; }
    .areas .wrapper::before {
      left: -1000%;
      right: 1870px;
      background: #0F6A37;
      position: absolute;
      top: -100px;
      bottom: -100px;
      content: ""; }

.areas__info {
  box-shadow: 0px 10px 40px rgba(0, 0, 0, 0.2);
  width: 572px;
  background: #fff;
  padding: 50px 60px;
  height: 742px;
  display: flex;
  flex-direction: column;
  justify-content: space-between; }

.areas__nav {
  margin-top: 60px;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start; }

.areas_states {
  display: flex;
  flex-direction: column;
  align-items: flex-start; }

.areas__state.state-active {
  z-index: 2;
  pointer-events: none; }
  .areas__state.state-active .areas__state__title {
    color: #0F6A37; }
    .areas__state.state-active .areas__state__title::before {
      opacity: 1; }
    .areas__state.state-active .areas__state__title::after {
      width: 260px; }

.areas__state:hover .areas__state__title {
  color: #0F6A37; }

.areas__state__title {
  font-size: 24px;
  line-height: 32px;
  font-family: 'ProximaNova-Bold', sans-serif;
  padding: 3px 10px 3px 75px;
  width: 210px;
  height: 60px;
  display: flex;
  align-items: center;
  margin-left: -75px;
  position: relative;
  cursor: pointer;
  margin-bottom: 5px; }
  .areas__state__title span {
    display: block;
    position: relative;
    z-index: 1; }
  .areas__state__title::before {
    width: 20px;
    height: 12px;
    background: url("../../images/icons/areas-arrow2.svg") center no-repeat;
    content: "";
    position: absolute;
    top: 50%;
    left: 43px;
    transform: translate(0, -50%);
    z-index: 1;
    opacity: 0;
    transition: 0.3s; }
  .areas__state__title::after {
    width: 0;
    height: 100px;
    background: url("../../images/icons/areas-arrow.svg") center no-repeat;
    background-size: contain;
    content: "";
    position: absolute;
    top: -15px;
    left: -15px;
    transition: width 0.5s; }

.areas__state__city {
  width: 235px;
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  animation: .5s fadeIn ease-in-out; }
  .areas__state__city li {
    font-size: 20px;
    line-height: 28px;
    text-transform: capitalize;
    color: rgba(36, 30, 30, 0.7);
    font-family: 'ProximaNova-Semibold';
    cursor: pointer; }
    .areas__state__city li:hover, .areas__state__city li.address-maps-active {
      color: #0F6A37; }
  .areas__state__city.state-active {
    display: block; }

.areas__info__bottom {
  margin-top: 58px;
  letter-spacing: 0.15em;
  text-transform: uppercase; }

.areas__btn {
  margin-top: 32px; }

.areas__map {
  width: calc(100% - 587px);
  height: 858px;
  padding-left: 89px;
  position: relative; }
  .areas__map iframe {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover; }

.areas__map > img {
  width: 100%;
  display: block; }

div#map img {
  max-width: none; }

.apply__desc {
  margin-top: 30px;
  color: rgba(255, 255, 255, 0.7); }

.apply__btn {
  margin-top: 32px; }

.address__zip-code-arrea {
  position: absolute;
  z-index: 2;
  width: 300px;
  top: 100px;
  left: 189px; }
  @media screen and (max-width: 1560px) {
    .address__zip-code-arrea {
      left: 139px; } }
  @media screen and (max-width: 1400px) {
    .address__zip-code-arrea {
      top: 50px;
      left: 100px; } }
  @media screen and (max-width: 1199px) {
    .address__zip-code-arrea {
      top: 30px;
      left: 20px; } }
  @media screen and (max-width: 767px) {
    .address__zip-code-arrea {
      top: 20px; } }
  @media screen and (max-width: 480px) {
    .address__zip-code-arrea {
      top: 0;
      left: 0;
      width: 100%;
      padding: 0 10px; } }
  .address__zip-code-arrea input {
    display: block;
    width: 100%;
    height: 48px;
    background: #FFFFFF;
    border: 1px solid #DADCE0;
    border-radius: 6px;
    font-size: 16px;
    line-height: 100%;
    color: #241E1E;
    padding: 5px 50px 5px 16px; }
    .address__zip-code-arrea input::placeholder {
      color: #C4C4C4; }
    .address__zip-code-arrea input:focus {
      border-color: #241E1E; }
  .address__zip-code-arrea button {
    width: 30px;
    height: 48px;
    position: absolute;
    top: 0;
    right: 10px;
    background: no-repeat;
    border: 0;
    outline: 0;
    cursor: pointer; }
    .address__zip-code-arrea button img {
      max-width: 16px;
      max-height: 16px; }

.error-zip {
  color: red;
  text-shadow: 0 0 1px;
  transition: 0.5s;
  line-height: 100%;
  margin-top: 3px; }

.map__shadow {
  background: linear-gradient(180deg, #FFFFFF 0%, rgba(255, 255, 255, 0) 100%);
  height: 86px;
  position: absolute;
  top: 0;
  z-index: 1;
  pointer-events: none; }

.map__shadow_1, .map__shadow_2 {
  width: 100%;
  height: 86px;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.3) 0%, rgba(255, 255, 255, 0) 100%); }

.map__shadow_3, .map__shadow_4 {
  height: 100%; }

.map__shadow_2 {
  top: auto;
  bottom: 0;
  transform: matrix(1, 0, 0, -1, 0, 0); }

.map__shadow_3 {
  width: 45px;
  background: linear-gradient(90deg, white 0%, rgba(255, 255, 255, 0) 100%); }

.map__shadow_4 {
  left: auto;
  right: 0;
  width: 198px;
  background: linear-gradient(270deg, rgba(255, 255, 255, 0.3) 0%, rgba(255, 255, 255, 0) 100%); }

@media screen and (max-width: 1919px) {
  .areas .wrapper::before {
    width: 50px;
    right: auto;
    left: 0; } }

@media screen and (max-width: 1560px) {
  .areas__info {
    padding: 40px; }
  .areas__state__title::after {
    left: 0; }
  .footer__box {
    padding: 0 40px; }
  .areas__map {
    padding-left: 50px; } }

@media screen and (max-width: 1400px) {
  .areas__info {
    width: 500px; }
  .areas__map {
    width: calc(100% - 500px); } }

@media screen and (max-width: 1199px) {
  .areas .wrapper::before {
    width: 20px; }
  .areas .wrapper {
    display: block; }
  .areas__info, .areas__map {
    width: 100%; }
  .areas__map {
    padding: 0;
    margin-top: 50px;
    height: 660px;
    margin-left: -22px;
    margin-right: -42px;
    width: auto;
    min-width: 100%; }
  .areas__state__city {
    width: calc(100% - 235px); }
  .areas__info {
    height: auto;
    min-height: 717px; }
  .areas .wrapper {
    padding-right: 42px; }
  .map__shadow_3, .map__shadow_4 {
    width: 110px; } }

@media screen and (max-width: 1023px) {
  .areas__info {
    padding: 50px 40px 50px 60px; } }

@media screen and (max-width: 767px) {
  .areas .wrapper {
    margin-top: 80px;
    margin-bottom: 80px; }
  .areas .wrapper::before {
    display: none; }
  .areas__nav {
    margin-top: 40px; }
  .areas_states {
    flex-direction: row; }
  .areas__state {
    width: 125px; }
  .areas__state__city {
    position: static;
    margin-top: 18px;
    width: 100%; }
  .areas__state__title {
    width: auto;
    height: auto;
    padding: 0;
    margin: 0; }
  .areas__state__title::after {
    display: none; }
  .areas__state__title::before {
    top: 100%;
    transform: translate(-50%, 0) rotate(-90deg); }
  .areas .wrapper {
    padding-right: 15px; }
  .areas__info {
    padding: 0;
    box-shadow: none;
    min-height: auto; }
  .areas__info__bottom {
    margin-top: 30px; }
  .areas__map {
    height: 526px;
    margin-left: -15px;
    margin-right: -15px; }
  .map__shadow_3, .map__shadow_4 {
    display: none; } }

@media screen and (max-width: 480px) {
  .areas__map {
    margin-left: -10px;
    margin-right: -10px; }
  .areas .wrapper {
    padding-right: 15px; } }
